<?php

class Intense_Field_Post_List extends Intense_Field_Dropdown {
	private function set_default_options() {
		if ( empty( $this->args['options'] ) ) {
			$this->args['options'] = array();

			//$posts = get_terms( $this->args['category'] );

			$type = $this->args['category'];
			$args  =array(
			  'post_type' => $type,
			  'post_status' => 'publish',
			  'posts_per_page' => -1,
			  'caller_get_posts'=> 1, 
			  'order'=> 'ASC', 
			  'orderby' => 'title'
			);

			echo $type;

			$latest_posts = get_posts( $args );

			foreach ( $latest_posts as $post ) :
				setup_postdata( $post );

				$this->args['options'][ $post->ID ] = $post->post_title;
			endforeach;

			wp_reset_postdata();
		}
	}

	protected function render() {
		$this->set_default_options();

		$this->args['multiple'] = true;

		return parent::render();
	}

	public function render_value_script() {
		$this->args['multiple'] = true;

		return parent::render_value_script();
	}

	public function map_visual_composer() {
		// $this->set_default_options();
		
		// return parent::map_visual_composer();
		return null;
	}
}