<?php

/*
Plugin Name: Intense
Plugin URI: http://intenseplugin.com
Description: A large collection of shortcodes, custom post types, templates, snippets, icons, and more for building your website
Version: 2.9.4
Author: Intense Visions
Author URI: https://intensevisions.com
ULT ID: 33
*/
if (!defined('ABSPATH')) exit; // Exit if accessed directly
$current_default= get_option( 'stylesheet' );
$theme = wp_get_theme( $current_default );
if(strtolower($theme->get('Template')) =='ultimatum' || strtolower($theme->get('Name')) =='ultimatum') {
	if ( ! defined( 'ABSPATH' ) ) {
		exit;
	} // Exit if accessed directly
	global $wonderloopsinstalled;
	$wonderloopsinstalled = false;
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	if ( is_plugin_active( 'wonderloops/wonderloops.php' ) ) {
		$wloops        = get_plugin_data( WP_PLUGIN_DIR . '/wonderloops/wonderloops.php' );
		$wloopsversion = $wloops['Version'];
		if ( version_compare( $wloopsversion, '1.9.9', '<=' ) ) {
			add_action( 'admin_notices', 'wfl_admin_notice_for_wl_users' );

			return;
		} else {
			global $wonderloopsinstalled;
			$wonderloopsinstalled = true;
		}
	}

	if ( ! defined( 'ABSPATH' ) ) {
		exit;
	} // Exit if accessed directly

	define( 'INTENSE_PLUGIN_VERSION', "2.9.4" );
	define( 'INTENSE_PLUGIN_FILE', __FILE__ );
	define( 'INTENSE_PLUGIN_FOLDER', dirname( INTENSE_PLUGIN_FILE ) );
	define( 'INTENSE_PLUGIN_URL', ( ( ! empty( $_SERVER['HTTPS'] ) && $_SERVER['HTTPS'] !== 'off' ) || $_SERVER['SERVER_PORT'] == 443 ? str_replace( "http://", "https://", plugins_url() . '/intense' ) : plugins_url() . '/intense' ) );
	define( 'INTENSE_PRODUCT_KEY', '60B91BC4-C5F3-4BFB-B85E-F6B16F1E9C4E' );
	define( 'INTENSE_ACTIVATION_SERVER', 'https://intensevisions.com' );
	define( 'INTENSE_DEBUG', WP_DEBUG );

	require_once 'inc/intense.php';
}