<?php

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'blur' => array(
		'type' => 'text',
		'title' => __( 'Blur Amount', 'intense' ),
		'description' => __('Number of pixels to blur the element by (just enter the number)', 'intense'),
        'skinnable' => true,
	),
	'time' => array(
		'type' => 'text',
		'title' => __( 'Time', 'intense' ),
		'description' => __('Number of milliseconds it takes for the element to blur (1000 = 1 second)', 'intense'),
		'default' => '300',
	),
	'element' => array(
		'type' => 'dropdown',
		'title' => __( 'Element', 'intense' ),
		'options' => array(
			'span' => 'span',
			'div' => 'div',
			'h1' => 'h1',
			'h2' => 'h2',
			'h3' => 'h3',
			'h4' => 'h4',
			'h5' => 'h5',
			'h6' => 'h6',
		),
		'description' => __('What type of HTML element do you want this to be', 'intense'),
		'default' => 'span',
	),
	'cursor' => array(
		'type' => 'dropdown',
		'title' => __( 'Cursor', 'intense' ),
		'options' => array(
			'default' => 'default',
			'text' => 'text',
			'pointer' => 'pointer',
			'crosshair' => 'crosshair',
			'none' => 'none',
		),
		'description' => __('What cursor do you want when hovering over the element', 'intense'),
		'default' => 'default',
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);