<?php

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'layout' => array(
		'type' => 'dropdown',
		'title' => __( 'Layout', 'intense' ),
		'options' => array(
			'' => __( '', 'intense' ),
			'group' => __( 'Group', 'intense' ),
			'deck' => __( 'Deck', 'intense' ),
			'columns' => __( 'Columns', 'intense' ),
		),
	),
	'min_width' => array(
		'type' => 'text',
		'title' => __( 'Minimum Card Width', 'intense' ),
	),
	'max_width' => array(
		'type' => 'text',
		'title' => __( 'Maximum Card Width', 'intense' ),
	),
	'columns_desktop' => array(
		'type' => 'text',
		'title' => __( 'Columns Desktop', 'intense' ),
		'default' => 3
	),
	'columns_desktop_small' => array(
		'type' => 'text',
		'title' => __( 'Columns Desktop Small', 'intense' ),
		'default' => 3
	),
	'columns_tablet' => array(
		'type' => 'text',
		'title' => __( 'Columns Tablet', 'intense' ),
		'default' => 3
	),
	'columns_mobile' => array(
		'type' => 'text',
		'title' => __( 'Columns Mobile', 'intense' ),
		'default' => 1
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	)
);
