<?php 

require_once INTENSE_PLUGIN_FOLDER .  '/shortcodes/custom-post/custom-post-shortcode.php';

class Intense_Menu_Items extends Intense_Custom_Post {
	function __construct() {
		parent::__construct();

		$this->title = __( 'Menu Items', 'intense' );
		$this->description = __( 'Display a menu (restaurant, business, etc...) with numerous different layouts. Use any of the templates provided for the Blog shortcode, or create your own templates.', 'intense' );
		$this->custom_post_type = 'intense_menu_items';
		$this->taxonomy = 'intense_menu_items_category';		
	}

	function shortcode( $atts, $content = null ) {
		$atts["post_type"] = "intense_menu_items";		

		if ( empty( $atts["taxonomy"] ) ) $atts["taxonomy"] = "intense_menu_items_category";

		return parent::shortcode( $atts, $content );
	}
}