<?php

$this->fields = array(
	'id' => array(
		'type' => 'text',
		'title' => __( 'ID', 'intense' ),
		'description' => __( 'optional - used to set the client-side ID', 'intense' ),
		'skinnable' => false
	),
	'image' => array(
		'type' => 'image',
		'title' => __( 'Image', 'intense' ),
		'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
		'skinnable' => false,
		'toolset' => true
	),	
	'image_size' => array(
		'type' => 'image_size',
		'title' => __( 'Image Size', 'intense' ),
		'default' => 'full'
	),	
	'title' => array(
		'type' => 'text',
		'title' => __( 'Title', 'intense' ),
		'skinnable' => false,
		'toolset' => true
	),
	'font_size' => array(
		'type' => 'text',
		'title' => __( 'Font Size', 'intense' ),
		'description' => __( 'This is the Title\'s Font Size (default size is typically styled by the theme settings)', 'intense' ),
	),
	'font_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Font Color', 'intense' ),
		'description' => __( 'This is the Title\'s Font Color (default is white)', 'intense' ),
	),
	'font_family' => array(
		'type' => 'font_family',
		'title' => __( 'Font Family', 'intense' ),
		'description' => __( 'leave blank to inherit from the theme\'s settings', 'intense' ),
	),
	'split_title' => array(
		'type' => 'checkbox',
		'title' => __( 'Split Title', 'intense' ),
		'description' => __( 'splits the title and bolds part', 'intense' ),
		'default' => 1
	),
	'link' => array(
		'type' => 'text',
		'title' => __( 'Link', 'intense' ),
		'description' => __( 'URL, post ID, or page ID to direct the user to when clicked', 'intense' ),
		'skinnable' => false,
		'toolset' => true
	),	
	'subtleeffect' => array(
		'type' => 'dropdown',
		'title' => __( 'Subtle Effect', 'intense' ),
		'options' => array(
			'' => '',
			'apollo' => 'Apollo',
			'bubba' => 'Bubba',
			'chico' => 'Chico',
			'dexter' => 'Dexter',
			'duke' => 'Duke',
			'goliath' => 'Goliath',
			'hera' => 'Hera',
			'honey' => 'Honey',
			'jazz' => 'Jazz',
			'julia' => 'Julia',
			'kira' => 'Kira',
			'layla' => 'Layla',
			'lily' => 'Lily',
			'marley' => 'Marley',
			'milo' => 'Milo',
			'ming' => 'Ming',
			'moses' => 'Moses',
			'oscar' => 'Oscar',
			'phoebe' => 'Phoebe',
			'romeo' => 'Romeo',
			'roxy' => 'Roxy',
			'ruby' => 'Ruby',
			'sadie' => 'Sadie',
			'sarah' => 'Sarah',
			'sarah' => 'Sarah',
			'selena' => 'Selena',
			'steve' => 'Steve',
			'terry' => 'Terry',
			'winston' => 'Winston',
			'zoe' => 'Zoe',
		),
		'class' => 'subtle-settings'
	),
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
	),
);
