<?php

if ( ! function_exists( 'intense_build_welcome' ) ) :
	function intense_build_welcome( ) {
		if ( intense_is_settings_page() ) {
			$theme = wp_get_theme(); // gets the current theme

			$content = '<style>#Welcome_section_group h2 { display:none !important; }</style>
				<div style="font-size:22px; line-height:29px; font-weight:500; color:#444;">Intense is now installed and ready to use!  Easily create websites using shortcodes, custom post types, 
				templates, snippets, and more. We hope you enjoy Intense!</div>
				<div style="font-size:18px; line-height:25px; font-weight:500; color:#444; padding:40px 0 30px 0;">Check out our documentation or submit a support ticket by going to the links below. ';

			if ('intensity' != strtolower( $theme->name ) && 'intensity' != strtolower( $theme->parent_theme ) ) {
				$content .= 'You will first need to register to be able to submit a support ticket. After going through the steps on the Product License tab, you will be emailed login credentials.';
			}

			$content .= '</div><center><a href="//docs.intenseplugin.com/" target="_blank"><div style="width:250px; margin-bottom: 3px;padding:15px; text-align:center; font-size:20px; color:#fff; background-color: #777; display:inline-block;">Documentation</div></a><div style="width:50px; display:inline-block;"></div><a href="//intensevisions.com/support/" target="_blank"><div style="width:250px; margin-bottom: 3px; padding:15px; text-align:center; font-size:20px; color:#fff; background-color: #777; display:inline-block;">Support</div></a>';
				
			if ('intensity' != strtolower( $theme->name ) && 'intensity' != strtolower( $theme->parent_theme ) ) {
				$content .= '<br><a href="javascript: jQuery(\'#License_section_group_li_a\').click();"><div style="width:250px; margin-bottom: 3px; padding:15px; text-align:center; font-size:20px; color:#fff; background-color: #777; display:inline-block;">Product License</div></a>';
			}

			$content .= '</center><div style="font-size:18px; line-height:25px; font-weight:500; color:#444; padding:30px 0 10px 0;">Intense includes a couple plugins that are essential for certain parts of the plugin to function.</div><div style="font-size:15px; line-height:21px; padding-left:10px;">1. <strong>Redux Framework</strong> is used for setting up all of the admin settings/options. If the "Include Redux Framework Plugin" option is turned off from the "Extras" tab, the Redux Framework plugin will need to be installed, or Intense will not work correctly. <br />2. <strong>ACF Pro</strong> is used for the metabox fields for all post types. This plugin has a "Custom Fields" menu item that is initially hidden. To show this field, go to the "Extras" tab and turn on the "ACF/Custom Fields Menu Item" setting/option.</div>';

			if ( !is_plugin_active( 'device-mockups/device-mockups.php' ) ) {
				$content .= '<div style="width:200px; padding-top:50px; padding-right: 10px; float:left;"><img src="http://ps.w.org/device-mockups/assets/icon.svg"></div><div style="font-size:22px; line-height:29px; font-weight:500; color:#444; padding:50px 0 15px 0;">Device Mockups</div><div style="font-size:18px; line-height:25px; font-weight:500; color:#444; padding-bottom:15px;">Intense does not require any additional plugins, but if you want to use the Device Mockups shortcode, you will first need to install and activate the Device Mockups plugin. Click the "Install Now" button below. If you cannot install by clicking the button, here is the link to the <a href="https://wordpress.org/plugins/device-mockups/">plugin page</a>.</div>
					<div class="feature-section theme-browser rendered"><div style="celar:both;"></div><a class="install-now button" data-slug="device-mockups" href="' . get_admin_url() . 'update.php?action=install-plugin&amp;plugin=device-mockups&amp;_wpnonce=98f8d06a04" aria-label="Install Device Mockups 1.6.0 now" data-name="Device Mockups 1.6.0">Install Now</a>';
			}


			$content .= '</div>';

			return $content;
		}
	}
endif;

$this->sections['Welcome'] = array(
	'title' => __( 'Welcome', 'intense' ),
	'desc' => __( 'Intense is now installed and ready for you to use.', 'intense' ),
	'icon' => 'el-icon-home',
	'icon_class' => 'icon-large',
	// Leave this as a blank section, no options just some intro text set above.
	'fields' => array(
		array(
		    'id'       => 'opt-raw',
		    'type'     => 'raw',
		    'title'    => '<div style="font-size:30px; line-height:35px; font-weight:600; margin-bottom:20px;">' . __( 'Welcome to Intense', 'intense' ) . '</div>',
		    'content'  => intense_build_welcome()
		),			
	)
);


