<?php

$this->fields = array(
	'mode' => array(
		'type' => 'dropdown',
		'title' => __( 'Mode', 'intense' ),
		'options' => array(
			'shortcodes' => __( 'Shortcodes', 'intense' ),
			'inline' => __( 'Inline', 'intense' )			
		)
	),
	'source' => array(
		'type' => 'icon_source',
		'title' => __( 'Source', 'intense' ),
		'default' => 'font-awesome',
		'class' => 'inlinesettings',
	),
	'type' => array(
		'type' => 'icon',
		'title' => __( 'Icon', 'intense' ),
		'class' => 'inlinesettings',
	),	
	// 'size' => array(
	// 	'type' => 'dropdown',
	// 	'title' => __( 'Size', 'intense' ),
	// 	'class' => 'inlinesettings',
	// 	'options' => array(
	// 		'1' => '1',
	// 		'2' => '2',
	// 		'3' => '3',
	// 		'4' => '4',
	// 		'5' => '5'
	// 	)
	// ),
	'color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Color', 'intense' ),
		'class' => 'inlinesettings',
		'toolset' => true
	),
	'spin' => array(
		'type' => 'checkbox',
		'title' => __( 'Spin', 'intense' ),
		'class' => 'inlinesettings',
	),
	'rotate' => array(
		'type' => 'dropdown',
		'title' => __( 'Rotate', 'intense' ),
		'class' => 'inlinesettings',
		'options' => array(
			'' => '',
			'90' => __( '90 degrees', 'intense' ),
			'180' => __( '180 degrees', 'intense' ),
			'270' => __( '270 degrees', 'intense' )
		)
	),
	'flip' => array(
		'type' => 'dropdown',
		'title' => __( 'Flip', 'intense' ),
		'class' => 'inlinesettings',
		'options' => array(
			'' => '',
			'horizontal' => __( 'Horizontal', 'intense' ),
			'vertical' => __( 'Vertical', 'intense' )
		)
	),
	'stack_source' => array(
		'type' => 'icon_source',
		'title' => __( 'Stack Source', 'intense' ),
		'class' => 'inlinesettings',
		'default' => 'font-awesome'
	),
	'stack_type' => array(
		'type' => 'icon',
		'title' => __( 'Stack Icon', 'intense' ),
		'class' => 'inlinesettings',
	),
	'stack_color' => array(
		'type' => 'color_advanced',
		'title' => __( 'Stack Color', 'intense' ),
		'class' => 'inlinesettings',
		'default' => '#ffffff',
		'toolset' => true
	),
	// 'custom_icon' => array(
	// 	'type' => 'image',
	// 	'title' => __( 'Custom Icon', 'intense' ),
	// 	'class' => 'inlinesettings',
	// 	'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
	// 	'skinnable' => false
	// ),			
	'class' => array(
		'type' => 'text',
		'title' => __( 'CSS Class', 'intense' ),
		'class' => 'inlinesettings',
	),
	'icon_list_item' => array(
		'type' => 'repeater',
		'title' => __( 'List Items', 'intense' ),
		'preview_content' => __( 'Item', 'intense' ),
		'class' => 'shortcodessettings',
		'fields' => array(
			'id' => array(
				'type' => 'text',
				'title' => __( 'ID', 'intense' ),
				'description' => __( 'optional - used to set the client-side ID', 'intense' ),
				'skinnable' => false
			),
			'source' => array(
				'type' => 'icon_source',
				'title' => __( 'Source', 'intense' ),
				'default' => 'font-awesome'
			),
			'type' => array(
				'type' => 'icon',
				'title' => __( 'Icon', 'intense' ),
			),
			'size' => array(
				'type' => 'dropdown',
				'title' => __( 'Size', 'intense' ),
				'options' => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4',
					'5' => '5'
				)
			),
			'color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Color', 'intense' ),
				'toolset' => true
			),
			'spin' => array(
				'type' => 'checkbox',
				'title' => __( 'Spin', 'intense' ),
			),
			'rotate' => array(
				'type' => 'dropdown',
				'title' => __( 'Rotate', 'intense' ),
				'options' => array(
					'' => '',
					'90' => __( '90 degrees', 'intense' ),
					'180' => __( '180 degrees', 'intense' ),
					'270' => __( '270 degrees', 'intense' )
				)
			),
			'flip' => array(
				'type' => 'dropdown',
				'title' => __( 'Flip', 'intense' ),
				'options' => array(
					'' => '',
					'horizontal' => __( 'Horizontal', 'intense' ),
					'vertical' => __( 'Vertical', 'intense' )
				)
			),
			'stack_source' => array(
				'type' => 'icon_source',
				'title' => __( 'Stack Source', 'intense' ),
				'default' => 'font-awesome'
			),
			'stack_type' => array(
				'type' => 'icon',
				'title' => __( 'Stack Icon', 'intense' ),
			),
			'stack_color' => array(
				'type' => 'color_advanced',
				'title' => __( 'Stack Color', 'intense' ),
				'default' => '#ffffff',
				'toolset' => true
			),
			'custom_icon' => array(
				'type' => 'image',
				'title' => __( 'Custom Icon', 'intense' ),
				'description' => __( 'enter a WordPress attachment ID or a URL', 'intense' ),
				'skinnable' => false
			),			
			'class' => array(
				'type' => 'text',
				'title' => __( 'CSS Class', 'intense' ),
			)
		)
	)
);
