<script>
	jQuery(function($) {
		$('.allfields').hide();
		$('.imagesize').hide();
		$('.excerptlength').hide();
		$('.titlelink').hide();
		$('.postlink').hide();
		var options = $("#field").html();

		$('#type').change(function() {
			$('.allfields').hide();
			$('.imagesize').hide();
			$('.excerptlength').hide();
			$('.titlelink').hide();
			$('.postlink').hide();

			var text = $("#type :selected").text().toLowerCase();

			if ( text == 'secondary header' || text == 'title bar' || text == 'primary footer' || text == 'secondary footer' ) {
				$("#field").html(options);
				$('#field :not( [value^="' + text.substr(0, 3) + '"], [value="title"] )' ).remove();
				$('.allfields').show();
			} else {
				$("#field").html(options);
				$('#field :not( [value^="' + text.substr(0, 3) + '"], [value="title"], [value^="content"], [value^="featured_images"], [value^="permalink"], [value^="post_link"] )' ).remove();
				$('.allfields').show();

				if ( $("#field :selected").text().toLowerCase() === 'title' ) {
					$('.titlelink').show();
				}
			}
		});

		$('#field').change(function() {
			var selected = $("#field :selected").text().toLowerCase();
			$('.imagesize').hide();
			$('.excerptlength').hide();
			$('.titlelink').hide();
			$('.postlink').hide();

			if ( selected === 'featured images' || selected === 'cover image' || selected === 'author image' || selected === 'logo' || selected === 'company logo' || selected === 'member photo' ) {
				$('.imagesize').show();
			} else {
				var featimg = document.getElementById('size');
				featimg.selectedIndex = 0;
			}

			if ( selected === 'content' ) {
				$('.excerptlength').show();
			} else {
				var exclen = document.getElementById('excerpt_length');
				exclen.value = '';
			}

			if ( selected === 'title' ) {
				$('.titlelink').show();
			}

			if ( selected === 'post link' ) {
				$('.postlink').show();
			}
		});
	});
</script>