<?php
/*
Intense Template Name: Standard Photo
*/

if ( empty( $class ) ) $class = 'intense';

if ( $lazy_load ) {
    intense_add_script( 'lazyloadxt' );
    $image_src_attr = 'data-src';
} else {
    $image_src_attr = 'src';
}

if ( empty( $alt )) $alt = "";
if ( empty( $style) ) $style = '';
?>

<img alt="<?php echo esc_attr( $alt ); ?>" class="<?php echo esc_attr( $class ); ?>" <?php echo $width . $height; ?> style="<?php echo esc_attr( $radius ); ?> padding:0;<?php echo esc_attr( $style ); ?>" <?php echo $image_src_attr; ?>="<?php echo esc_url( $url ); ?>" title="<?php echo esc_attr( $title ); ?>" <?php if ( !empty( $animation ) ) : ?> data-effect="<?php echo esc_attr( $animation ); ?>"<?php endif; ?>/>